Main Page Class Hierarchy Data Structures File List Data Fields Globals

# PVCmdResponse Class Reference

`#include <pv_engine_observer_message.h>`

## Public Methods
| PVCmdResponse (PVCommandId aId, OsclAny *aContext, PVMFStatus aStatus, OsclAny *aEventData=NULL, int32 aEventDataSize=0)
| PVCmdResponse (PVCommandId aId, OsclAny *aContext, PVMFStatus aStatus, PVInterface *aEventExtInterface=NULL, OsclAny *aEventData=NULL, int32 aEventDataSize=0)
PVResponseType | GetResponseType () const
PVCommandId | GetCmdId () const
OsclAny * | GetContext () const
PVMFStatus | GetCmdStatus () const
OsclAny * | GetResponseData () const
int32 | GetResponseDataSize () const
PVMFStatus | GetExtendedErrorInfoMessage (const PVUuid &auuid, PVInterface *&aface) const

## Detailed Description

PVCmdResponse Class

PVCmdResponse class is used to pass completion status on previously issued commands

## Constructor & Destructor Documentation

PVCmdResponse::PVCmdResponse | ( | PVCommandId | aId,
|  | OsclAny * | aContext,
|  | PVMFStatus | aStatus,
|  | OsclAny * | aEventData = NULL,
|  | int32 | aEventDataSize = 0
| ) | `[inline]`

| Constructor for PVCmdResponse

PVCmdResponse::PVCmdResponse | ( | PVCommandId | aId,
|  | OsclAny * | aContext,
|  | PVMFStatus | aStatus,
|  | PVInterface * | aEventExtInterface = NULL,
|  | OsclAny * | aEventData = NULL,
|  | int32 | aEventDataSize = 0
| ) | `[inline]`

| Constructor with event extension interface

## Member Function Documentation

PVCommandId PVCmdResponse::GetCmdId | ( |  | ) | const`[inline]`

| Returns: Returns the unique ID associated with a command of this type.

PVMFStatus PVCmdResponse::GetCmdStatus | ( |  | ) | const`[inline]`

| Returns: Returns the completion status of the command

OsclAny* PVCmdResponse::GetContext | ( |  | ) | const`[inline]`

| Returns: Returns the opaque data that was passed in with the command.

PVMFStatus PVCmdResponse::GetExtendedErrorInfoMessage | ( | const PVUuid & | auuid,
|  | PVInterface *& | aface
| ) | const`[inline]`

OsclAny* PVCmdResponse::GetResponseData | ( |  | ) | const`[inline]`

| WILL BE DEPRECATED WHEN PVMFCmdResp REMOVES EVENT DATA Returns: Returns additional data asociated with the command. This is to be interpreted based on the command issued and the return status

int32 PVCmdResponse::GetResponseDataSize | ( |  | ) | const`[inline]`

PVResponseType PVCmdResponse::GetResponseType | ( |  | ) | const`[inline]`

| WILL BE DEPRECATED SINCE IT IS NOT BEING USED. CURRENTLY RETURNS 0 Returns: Returns the type of Response we get

The documentation for this class was generated from the following file:

- pv_engine_observer_message.h